"Save as" - Allow to specify field names when they need to be shortened
Status: Open

Priority: Normal

Assignee: Marco Hugentobler

Category: Vectors

Pull Request or Patch supplied:Yes Resolution:

Easy fix?: No Copied to github as #: 15872

Description

When doing "save as" with a joined table, the field names are typically truncated a lot.  They are also truncated when doing "save as" to a

format which does not allow field names as long as in the original layer.

This behaviour could be improved, e.g. when the names need to be truncated a dialog could be provided allowing the user to specify field

names.

History

#1 - 2013-09-10 05:13 AM - Andreas Neumann

A feature to remap column names would be useful besides shortening column names for shape export. At the same time it would be useful being able to

skip columns from being exported.

#2 - 2013-09-12 09:56 AM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

- Target version set to Future Release - Nice to have

- Assignee set to Marco Hugentobler

Partial fix for this issue for joined fields available as https://github.com/qgis/Quantum-GIS/pull/888

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

2025-04-26 1/1

https://github.com/qgis/Quantum-GIS/pull/888

